summaryrefslogtreecommitdiffstats
path: root/src/mrun
diff options
context:
space:
mode:
Diffstat (limited to 'src/mrun')
-rwxr-xr-xsrc/mrun22
1 files changed, 22 insertions, 0 deletions
diff --git a/src/mrun b/src/mrun
new file mode 100755
index 00000000..cdf34a83
--- /dev/null
+++ b/src/mrun
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+[ $# -lt 2 ] && echo "usage: $0 <name> <command> [params...]" && exit 1
+
+root=`dirname $0`
+run_name=$1
+command=$2
+CEPH_BIN=$root
+CEPH_CONF_PATH=$root/run/$run_name
+
+if [ -e CMakeCache.txt ]; then
+ CEPH_BIN=$PWD/bin
+ CEPH_CONF_PATH=$PWD/run/$run_name
+elif [ -e $root/../build/CMakeCache.txt ]; then
+ cd $root/../build
+ CEPH_BIN=$PWD/bin
+ CEPH_CONF_PATH=$PWD/run/$run_name
+fi
+
+shift 2
+
+$CEPH_BIN/$command -c $CEPH_CONF_PATH/ceph.conf "$@"